curl --request GET \
--url https://api.fintoc.com/v1/links \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v1/links"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v1/links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v1/links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v1/links"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v1/links")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v1/links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "link_nMNejK7BT8oGbvO4",
"object": "link",
"accounts": null,
"active": true,
"created_at": "2020-04-22T21:10:19.254Z",
"holder_id": "111111111",
"holder_type": "individual",
"institution": {
"id": "cl_banco_de_chile",
"country": "cl",
"name": "Banco de Chile"
},
"last_time_refreshed": "2020-11-18T18:43:54.591Z",
"link_token": null,
"mode": "live",
"refresh_status": "idle",
"status": "active",
"username": "111111111"
}
]{
"error": {
"type": "invalid_request_error",
"code": "invalid_enum",
"param": "status",
"message": "Invalid status: invalid. Must be one of 'active', 'inactive' or 'login_required'.",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}List links
Returns a paginated list of the links of your organization, in the live or test mode of the API key used. link_token and accounts are always null when listing links.
curl --request GET \
--url https://api.fintoc.com/v1/links \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v1/links"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v1/links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v1/links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v1/links"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v1/links")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v1/links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "link_nMNejK7BT8oGbvO4",
"object": "link",
"accounts": null,
"active": true,
"created_at": "2020-04-22T21:10:19.254Z",
"holder_id": "111111111",
"holder_type": "individual",
"institution": {
"id": "cl_banco_de_chile",
"country": "cl",
"name": "Banco de Chile"
},
"last_time_refreshed": "2020-11-18T18:43:54.591Z",
"link_token": null,
"mode": "live",
"refresh_status": "idle",
"status": "active",
"username": "111111111"
}
]{
"error": {
"type": "invalid_request_error",
"code": "invalid_enum",
"param": "status",
"message": "Invalid status: invalid. Must be one of 'active', 'inactive' or 'login_required'.",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}accounts field is null when you list links. To retrieve a link’s accounts, send a request to the Get link endpoint using the link_token returned when you exchanged the link.page query parameter to retrieve the remaining links.Query Parameters
Response
Paginated list of links. The Link and X-Total-Count headers carry the pagination information.
Whether the link is active. Fintoc does not refresh inactive links, and deactivating a link does not revoke the link_token's access to already-collected data. Reactivating a link triggers a full historical refresh if Fintoc has never refreshed the link or if the last refresh happened more than 20 days ago.
true
Refresh status of the link's accounts. idle means no refresh is in progress, refreshing means every account is refreshing, partially_refreshing means only some accounts are refreshing, and interrupted means no account is currently refreshing.
idle, refreshing, interrupted, partially_refreshing, null "idle"
Was this page helpful?